import 'src/Constants.dart';

class Data {
  String businessName;
  String businessDescription;
  String emailAddress;
  String mobileNumber;
  String nameOfBusinessOwner;
  String cnicOfBusinessOwner;
  String officeWebsite;
  String expectedTurnOver;
  String area;
  String businessAddress;
  String ntn;
  AccountDetails accountDetails;
  Data({ this.businessName, this.businessDescription, this.emailAddress,
    this.mobileNumber, this.nameOfBusinessOwner, this.cnicOfBusinessOwner,
    this.officeWebsite, this.expectedTurnOver, this.area, this.businessAddress,
    this.ntn, this.accountDetails});
  factory Data.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);
  Map<String, dynamic> toJson() => _$DataToJson(this);
}
Data _$DataFromJson(Map<String, dynamic> json) {
  if (json != null) {
    Map<String, dynamic> data = json[DataKey.BANK_ACCOUNT_DETAILS];
    return Data(
        businessName: json[DataKey.BUSINESS_NAME],
        businessDescription: json[DataKey.BUSINESS_DESCRIPTION],
        emailAddress: json[DataKey.EMAIL_ADDRESS],
        mobileNumber: json[DataKey.MOBILE_NUMBER],
        nameOfBusinessOwner: json[DataKey.BUSINESS_OWNER_NAME],
        cnicOfBusinessOwner: json[DataKey.BUSINESS_OWNER_CNIC_NUMBER],
        officeWebsite: json[DataKey.WEBSITE_URL],
        expectedTurnOver: json[DataKey.EXPECTED_MONTHLY_TURNOVER],
        ntn: json[DataKey.NTN],
        area: json[DataKey.AREA],
        businessAddress: json[DataKey.BUSINESS_ADDRESS],
        accountDetails: (data != null
            ? AccountDetails.fromJson(data)
            : AccountDetails())
    );
  } else return null;
}
Map<String, dynamic> _$DataToJson(Data instance) => <String, dynamic> {
  DataKey.BUSINESS_NAME: instance.businessName,
  DataKey.BUSINESS_DESCRIPTION: instance.businessDescription,
  DataKey.EMAIL_ADDRESS: instance.emailAddress,
  DataKey.MOBILE_NUMBER: instance.mobileNumber,
  DataKey.BUSINESS_OWNER_NAME: instance.nameOfBusinessOwner,
  DataKey.BUSINESS_OWNER_CNIC_NUMBER: instance.cnicOfBusinessOwner,
  DataKey.WEBSITE_URL: instance.officeWebsite,
  DataKey.EXPECTED_MONTHLY_TURNOVER: instance.expectedTurnOver,
  DataKey.NTN: instance.ntn,
  DataKey.AREA: instance.area,
  DataKey.BUSINESS_ADDRESS: instance.businessAddress,
  DataKey.BANK_ACCOUNT_DETAILS: instance.accountDetails != null ? instance.accountDetails.toJson() : null
};

class AccountDetails {
  String accountTitle;
  String iban;
  String accountNumber;
  String branchCode;
  String branchName;
  AccountDetails({this.accountTitle, this.iban, this.accountNumber,
    this.branchCode, this.branchName});
  factory AccountDetails.fromJson(Map<String, dynamic> json) => _$AccountDetailsFromJson(json);
  Map<String, dynamic> toJson() => _$AccountDetailsToJson(this);
}
AccountDetails _$AccountDetailsFromJson(Map<String, dynamic> json) {
  return AccountDetails(
      accountTitle: json[DataKey.ACCOUNT_TITLE],
      iban: json[DataKey.IBAN],
      accountNumber: json[DataKey.ACCOUNT_NUMBER],
      branchCode: json[DataKey.BRANCH_CODE],
      branchName: json[DataKey.BRANCH_NAME]
  );
}
Map<String, dynamic> _$AccountDetailsToJson(AccountDetails instance) => <String, dynamic> {
  DataKey.ACCOUNT_TITLE: instance.accountTitle,
  DataKey.IBAN: instance.iban,
  DataKey.ACCOUNT_NUMBER: instance.accountNumber,
  DataKey.BRANCH_CODE: instance.branchCode,
  DataKey.BRANCH_NAME: instance.branchName
};