import 'dart:math';

import 'package:flutter/material.dart';


class ErrorFields {
  static const String MANDATORY = "This field is mandatory";
  static const String MIN_LENGTH_ERROR_1 = "Minimum input length is 1";
  static const String MIN_LENGTH_ERROR_3 = "Minimum input length is 3";
  static const String MIN_LENGTH_ERROR_5 = "Minimum input length is 5";
  static const String MIN_LENGTH_ERROR_8 = "Minimum input length is 8";
  static const String MIN_LENGTH_ERROR_11 = "Minimum input length is 11";
  static const String LENGTH_ERROR_13 = "Length should be of 13 characters";
  static const String MAX_LENGTH_ERROR_13 = "Maximum input length is 13";
  static const String MAX_LENGTH_ERROR_14 = "Maximum input length is 14";
  static const String MAX_LENGTH_ERROR_50 = "Maximum input length is 50";
  static const String MAX_LENGTH_ERROR_100 = "Maximum input length is 100";
  static const String MAX_LENGTH_ERROR_200 = "Maximum input length is 200";
  static const String MAX_LENGTH_ERROR_500 = "Maximum input length is 500";
  static const String MAX_LENGTH_ERROR_8 = "Maximum input length is 8";
  static const String MAX_LENGTH_ERROR_750 = "Maximum input length is 750";
}

class LengthLimit {
  static const int MIN_LENGTH_1 = 1;
  static const int MIN_LENGTH_3 = 3;
  static const int MIN_LENGTH_5 = 5;
  static const int MIN_LENGTH_8 = 8;
  static const int MIN_LENGTH_11 = 11;
  static const int MAX_LENGTH_13 = 13;
  static const int MAX_LENGTH_14 = 14;
  static const int MAX_LENGTH_50 = 50;
  static const int MAX_LENGTH_100 = 100;
  static const int MAX_LENGTH_200 = 200;
  static const int MAX_LENGTH_500 = 500;
  static const int MAX_LENGTH_750 = 750;
}

class SelectionHint{
  static const String SELECT = "Please select";
  static const String TYPE_OF_BUSINESS = "Type of Business";
  static const String BUSINESS_CATEGORY = "Business Category";
  static const String EXPECTED_MONTHLY_TURNOVER = "Expected Monthly Turnover";
  static const String STATE_PROVINCE = "State/Province";
  static const String CITY = "City";
  static const String COUNTRY = "Country";
  static const String BRANCH_CODE = "Branch Code";
  static const String ANY_RELATIONSHIP_AS_BUSINESS_ESTABLISHMENT = "Any relationship as Business Establishment";
  static const String PAYMENT_METHOD = "Payment Method";
  static const String OFFICE_PREMISES = "Office Premises";
}

class BankAccountDetailsHints {
  static const String ACCOUNT_NUMBER = "Account Number";
  static const String IBAN = "IBAN";
  static const String BANK_NAME = "Bank Name";
  static const String BRANCH_NAME = "Branch Name";
  static const String BRANCH_CODE = "Branch Code";
}

class AdditionalBusinessDetailsHints {
  static const String NAME_BUSINESS_OWNER = "Name of Business Owner";
  static const String CNIC_BUSINESS_OWNER = "CNIC of Business Owner";
  static const String OFFICIAL_ADDRESS = "Official Address";
  static const String STATE_PROVINCE = "State/Province";
  static const String CITY = "City";
  static const String POSTAL_CODE = "Postal Code";
  static const String COUNTRY = "Country";
}

class BusinessSignUpHits {
  static const String BUSINESS_NAME = "DBA (Doing Business As) Name";
  static const String EMAIL_ADDRESS = "Email address";
  static const String MOBILE_NUMBER = "Mobile Number";
  static const String PASSWORD = "Password";
  static const String BUSINESS_LEGAL_NAME = "Business Legal Name";
}

class BusinessDetailsHits {
  static const String BUSINESS_CODE = "(Foree Id) Business Code";
  static const String BUSINESS_NAME = "Business Name";
  static const String BUSINESS_LEGAL_NAME = "Business Legal Name";

  static const String NTN_CNIC_NUMBER = "NTN / CNIC Number";
  static const String OTHER = "Please Specify";
  static const String OTHER_BUSINESS_CATEGORY = "What category does your business fall under?";
  static const String NAME_OF_AUTHORIZED_SIGNATORY = "Name of Authorized Signatory";
  static const String AUTHORIZED_SIGNATORY_CNIC = "Authorized Signatory CNIC";
}

String generateId() {
  return new Random().nextInt(99999).toString();
}

class BankStatus {
  static const String ACTIVE = "Active";
  static const String INACTIVE = "Inactive";
}

class DocumentDescription {
  static const String CNIC_FRONT = "Scan Copy of valid CNIC front";
  static const String CNIC_BACK = "Scan Copy of valid CNIC back";
  static const String CNIC = "Scan copy of valid CNIC";
  // Proprietorship Concern/Individual (Self-employed)
  static const String M_CERTIFICATE = "Original Account Maintenance Certificate from Bank mentioning the name of Individual/Proprietor and length of relationship where settlement needs to be done";
  static const String PROOF_OF_SOURCE_OF_INCOME = "Last 1 month Invoices , Deal Memos, Freelance Contracts, Account Statements (last 6 months), any other payment paperwork, letters from client to prove income as freelancer";
  // End
  static const String NTN = "NTN";
  static const String R_CERTIFICATE = "Valid Registration Certificate/Permit/License from competent authorities";
  static const String UTILITY_BILL = "Scan copy of last month of utility bills of registered address";
  static const String PARTNERSHIP_DEED = "Scan copy of Partnership Deed duly signed by all partners of the firm";
  static const String PARTNER_M_CERTIFICATE = "Original Bank account maintenance certificate by the names of all partners and length of relationship where Settlement needs to be done";
  static const String MANDATE_LETTER = "Mandate Letter for Authorized Signatory by all Partners (In case all partners are not signing the agreement)";
  static const String CNIC_FRONT_NGO_CLUB_TRUST = "Scan Copy of valid CNIC (front) of the person signing the agreement";
  static const String CNIC_BACK_NGO_CLUB_TRUST = "Scan Copy of valid CNIC (back) of the person signing the agreement";
  static const String BY_LAWS_AND_RULES = "Copy of by-laws and rules/Certified Copy (Notarized) of Instrument of Trust/Trust Deed";
  static const String RESOLUTION_DULY_SIGNED = "Copy of Resolution duly signed by all trustees/members";
  static const String AUTHORITY_LETTER = "Consent/Authority letter from all trustees/members if authorized person is not a member/trustee";
  static const String BANK_LETTER = "Original Bank letter mentioning the names of all Trustees and length of relationship where Settlement needs to be done";
  static const String LIST_OF_TRUSTEES = "List of all trustees/members";
  static const String R_CERTIFICATE_SHORT = "Valid registration certificate";
  // Private/Public Limited Company
  static const String CNIC_OF_DIRECTORS_FRONT = "Scan copy of CNIC (front) of all directors";
  static const String CNIC_OF_DIRECTORS_BACK = "Scan copy of CNIC (back) of all directors";
  static const String MEMORANDUM_AND_ARTICLES = "Certified copy from Company Secretary / Public Notary (Notarized) of Memorandum & Articles of Association";
  static const String CERTIFICATE_OF_INCORPORATION = "Certified copy from Company Secretary/Public Notary (Notarized)  of Certificate of Incorporation";
  static const String BOARD_RESOLUTION = "Board Resolution duly signed by Company Secretary / Directors authorizing the signing authority";
  static const String CERTIFICATE_OF_COMMENCEMENT = "Certified copy from Company Secretary/Public Notary (Notarized) of Certificate of Commencement of Business (for Public Limited Company)";
  static const String LIST_OF_DIRECTORS_ON_FORM_A_B = "Certified copy of List of Directors on Form-A/Form-B issued under Companies Ordinance";
  static const String BANK_LETTER_WITH_DIRECTORS = "Original Bank letter mentioning the names of all directors and length of relationship where Settlement needs to be done";
  static const String LIST_OF_DIRECTORS_ON_FORM_29 = "Certified copy of List of all Directors on Form 29 issued by the Registrar Joint Stock Companies";
// End
}

class RequiredDocs {
  static const String cnic_front = "cnic_front";
  static const String cnic_back = "cnic_back";
  static const String mc = "mCertificate";
  static const String ntn = "ntn";
  static const String rc = "rCertificate";
  static const String ub = "utilityBill";

  static const String btnCNIC = "CNIC";
  static const String btnCNIC_FRONT = "CNIC Front";
  static const String btnCNIC_BACK = "CNIC Back";
  static const String btnM_CERTIFICATE = "Account Maintenance Certificate";
  static const String btnNTN = "NTN";
  static const String btnR_CERTIFICATE = "Registration Certificate";
  static const String btnUTILITY_BILL = "Utility Bill";
  static const String btnPROOF_SOURCE_INCOME = "Proof of source of Funds/Income";
  static const String btnPARTNERSHIP_DEED = "Partnership Deed";
  static const String btnMANDATE_LETTER = "Mandate Letter";
  static const String btnLAW_RULES = "By-Laws and Rules/Instrument of Trust";
  static const String btnRESOLUTION_DULY_SIGNED = "Board Resolution";
  static const String btnRESOLUTION = "Resolution";
  static const String btnAUTHORITY_LETTER = "Consent/Authority Letter";
  static const String btnBANK_LETTER = "Bank Letter";
  static const String btnLIST_OF_TRUSTEES = "Trustees";
  // Private/Public Limited Company
  static const String btnMEMORANDUM_AND_ARTICLES = "Memorandum & Articles of Association";
  static const String btnI_CERTIFICATE = "Certificate of Incorporation";
  static const String btnC_CERTIFICATE = "Certificate of Commencement";
  static const String btnLIST_OF_DIRECTORS_FORM_A_B = "List of Directors on Form-A/B";
  static const String btnLIST_OF_DIRECTORS_FORM_29 = "List of Directors on Form 29";
  // End

  static const String logoText = "Business Logo";
  static const String logoDescription = "Billers can upload their Business logo. This logo will be reflected in Foree App alongside the business name";

  static const String FC = "Front side CNIC";
  static const String BC = "Back side CNIC";
  static const String MC = "Account Maintenance Certificate";
  static const String NT = "NTN";
  static const String RC = "Registration Certificate";
  static const String UB = "Utility bills";
}

class Layout {
  static const double textViewTop = 15.0;
  static const double left = 10.0;
  static const double right = 10.0;
  static const double top = 10.0;
  static const double uploadLogoW = 140.0;
  static const double uploadLogoH = 140.0;
  static const double dp5 = 5.0;
  static const double dp10 = 10.0;
  static const double ZERO = 0.0;
  static const double dp100 = 100.0;
  static const double dp50 = 50.0;
  static const double BTN_TEXT_SIZE = 22.0;
  static const double BTN_HEIGHT = 50.0;
  static const double BTN_WIDTH = double.infinity;
  static const double dp30 = 30.0;
  static const double dp18 = 18.0;
  static const double dp17 = 17.0;
  static const double dp150 = 150.0;
}

class InitValue {
  static const String StringNan = "Faaiq Ali Khan";
  static const String numberNan = "4220124260387";
  static const String p = "154";
}

class PagesDetails {
  static const String AccountDetails = "Provide Account Details";
}

class ButtonTags {
  static const String SAVE = "Save";
  static const String NEXT = "Next";
  static const String VERIFY = "Verify";
  static const String CREATE = "Create";
  static const String SUBMIT = "Submit";
  static const String Add_BUSINESS = "Add Business";
  static const String OK = "OK";
}

class General {
  static const String UPLOAD = "Tap to Upload";
  static const String COUNTRY = "Pakistan";
  static const String OTHER = "Please Specify";
  static const String PAK_RUPEE = "PKR ";
  static const String API_KEY_REQUIRED = "API key is required";

  static const String MAP_KEY_RESULT = "result";
  static const String MAP_KEY_LEGAL_ENTITIES = "legal_entities";
  static const String MAP_KEY_OFFICE_PREMISES = "office_premises";
  static const String MAP_KEY_BUSINESS_CATEGORIES = "business_categories";
  static const String MAP_KEY_BANKS = "banks";
  static const String MAP_KEY_USER_DETAILS = "user_details";

  static String showSaveResponse(String data) {
    return "Your data is saved against a business id: " + data +
        ". You can get all the existing details using above id.";
  }
  static String showSaveResponse2() {
    return "All changes saved";
  }
  static String showSubmitResponse(String data) {
    return "Thank you! We have received your request. One of our onboarding representatives will connect with you as soon as possible to complete the onboarding process. However, if you have any queries please call us at 021-11-11-FOREE (36733) or email support@foree.co";
  }

  static const String EMPTY = "";
  static const List<String> ALLOWED_FILE_EXTENSIONS = ["png", "pdf", "jpeg", "jpg"];

  static const PASSWORD_HINT = "Use 8 or more characters with at least uppercase letters, lowercase letters, numbers, and symbols.";
  static const EMAIL_MOBILE_HINT = "Please provide Email or Mobile number";
  static const EMAIL_OTP_HINT = "Please provide OTP received via email address.";
  static const MOBILE_OTP_HINT = "Please provide OTP received via mobile number.";
}

class FormLabels {
  static const String BUSINESS_LEGAL_NAME = "Business Legal Name";
  static const String BUSINESS_NAME = "DBA (Doing Business As) Name";
  static const String REGISTERED_NUMBER = "Registered Number";
  static const String MOBILE_NUMBER = "Mobile Number";
  static const String REGISTERED_ADDRESS = "Registered Address";
  static const String PHYSICAL_ADDRESS = "Physical Address";
  static const String EMAIL_ADDRESS = "Email Address";
  static const String OFFICIAL_WEBSITE = "Official Website (Optional)";
  static const String TYPE_OF_BUSINESS = "Type of Business";
  static const String NTN = "NTN#";
  static const String NAME_OF_BUSINESS_OWNER = "Name of Business Owner";
  static const String CNIC_OF_BUSINESS_OWNER = "CNIC# of Business Owner";
  static const String DIRECTOR_1_NAME = "Name of Partner/Director 1";
  static const String DIRECTOR_2_NAME = "Name of Partner/Director 2";
  static const String DIRECTOR_1_CNIC = "CNIC# of Partner/Director 1";
  static const String DIRECTOR_2_CNIC = "CNIC# of Partner/Director 2";
  static const String BUSINESS_CATEGORY = "Business Category";
  static const String OFFICE_PREMISES = "Office Premises (Optional)";
  static const String YEARS_CURRENT_LOCATION = "Years at Current Location (Optional)";
  static const String YEARS_CURRENT_BUSINESS = "Years at Current Business (Optional)";
  static const String EXPECTED_MONTHLY_TURNOVER = "Expected Monthly Turnover";
  static const String BANK_NAME = "Bank Name";
  static const String BRANCH_NAME = "Branch Name";
  static const String ACCOUNT_TITLE = "Account Title";
  static const String BRANCH_CODE = "Branch Code";
  static const String ACCOUNT_NUMBER = "Account Number";
  static const String IBAN = "IBAN";
  static const String BUSINESS_ID = "Business Id";
  static const String PASSWORD = "Password";
  static const String CONFORM_PASSWORD = "Conform Password";
  static const String OTP = "OTP";
  static const String BUSINESS_SHORT_NAME = "Business Short Name";
  static const String BRAND_SHOP_NAME = "Brand/Shop Name";
  static const String OTHERS = "Others";
  static const String ACCEPT_PAYMENT_FROM = "Accept Payment from:";
  static const String DEDUCT_PAYMENT_CHARGES_FROM = "Deduct Payment Charges for:";
  static const String AREA = "Area";
  static const String BUSINESS_ADDRESS = "Business Address";
  static const String PROVINCE = "Province";
  static const String CITY = "City";
  static const String BUSINESS_DESCRIPTION = "Business Description";
}

class PaddingDetails {
  static const TextFieldPadding =  EdgeInsets.only(left: 25.0, top: 15.0, right: 25.0);
  static const EditIconPadding = EdgeInsets.only(top: 10.0);
  static const HintPadding = EdgeInsets.only(top: 5.0, left: 5.0);
  static const LOGO_PADDING = EdgeInsets.only(right: 15.0);
  static const BTN_NEXT = EdgeInsets.only(left: 10.0, right: 10.0);
  static const FORM =  EdgeInsets.only(left: 15.0, right: 15.0, bottom: 10.0);
  static const NOTE = EdgeInsets.only(top: 10.0);
  static const FIELD_TOP = EdgeInsets.only(top: 20.0);
  static const HINT = EdgeInsets.only(left: 15.0, top: 15.0, right: 15.0, bottom: 15.0);
  static const BTN_LEFT = EdgeInsets.only(left: 5.0);
  static const BTN_RIGHT = EdgeInsets.only(right: 5.0);
  static const BOX = EdgeInsets.only(left: 1.0, top: 20.0, right: 1.0);
  static const PREVIEW_BTN = EdgeInsets.only(left: 50.0, right: 50.0);
  static const MORE_PARTNERS = EdgeInsets.only(top: 20.0, right: 10.0);
  static const ICON = EdgeInsets.only(right: 10.0);
  static const PAYMENT_NOTE_PADDING = EdgeInsets.only(bottom: 10.0);
}

class FieldKeys {
  static const String CNIC = "cnic";
  static const String LOGO = "logo";
  static const String BANK_ID = "bank_id";
  static const String BANK_SHORT_NAME = "bank_short_name";
}

class AssetsPath {
  static const String FOREE_LOGO = "https://foree.co/assets/img/foree-white.png";
}

class RequestHeader {
  static const String X_AGENT_KEY = "x-agent-key";
  static const String X_AGGREGATOR_KEY = "x-aggregator-key";
}

class RequestKey {
  static const String EMAIL_ADDRESS = "email_address";
  static const String PHONE_NUMBER = "phone_number";
  static const String IS_VERIFICATION_REQUIRED = "is_verification_required";
}

class ResponseKey {
  static const String APP_VERSION_INFO = "app_version_info";
  static const String RESPONSE_CODE = "response_code";
  static const String RESPONSE_DATA = "response_data";
  static const String MESSAGE = "message";
  static const String ERROR_MESSAGE = "error_message";
  static const String RESPONSE_MESSAGE = "response_message";
}

class JsonFieldKey {
  static const String SDK_PLATFORM = "sdk_platform";
  static const String SDK_APP_VERSION = "sdk_app_version";

  static const String AVAILABLE_SDK_VERSION = "available_sdk_version";
  static const String ENCRYPTION_REQUIRED = "encryption_required";
  static const String IS_UPDATE_AVAILABLE = "is_update_available";
  static const String MINIMUM_APP_VERSION = "minimum_app_version";
  static const String RESPONSE_CODE = "response_code";

  static const String BUSINESS_NAME = "name"; // consider as business legal name
  static const String DOING_BUSINESS_AS = "doing_business_as";
  static const String LAND_LINE_NUMBER = "landline_number";
  static const String ADDRESS = "address"; // consider as registered address
  static const String MOBILE_NUMBER = "mobile_number"; // consider as mobile number
  static const String EMAIL_ADDRESS = "email_address";
  static const String PASSWORD = "password";
  static const String PHYSICAL_ADDRESS = "physical_address";
  static const String WEBSITE_URL = "website_url";
  static const String BUSINESS_LEGAL_ENTITY = "business_legal_entity"; // send as a json
  static const String AUTHORIZED_SIGNATORY_NAME = "authorized_signatory_name";
  static const String AUTHORIZED_SIGNATORY_CNIC = "authorized_signatory_cnic";
  static const String BUSINESS_OWNER_NAME = "business_owner_name";
  static const String BUSINESS_OWNER_CNIC_NUMBER = "business_owner_cnic_number";
  static const String PARTNERS_DETAILS = "partners_detail"; // send as a json
  static const String BUSINESS_CATEGORY = "business_category";
  static const String OFFICE_PREMISES = "office_premises";
  static const String YEARS_IN_BUSINESS = "no_of_years_in_business";
  static const String YEARS_AT_CURRENT_LOCATION = "years_at_current_location";
  static const String EXPECTED_MONTHLY_TURNOVER = "expected_monthly_turnover";
  static const String BUSINESS_SHORT_NAME = "business_short_name";

  static const String ACCOUNT_NUMBER = "account_number";
  static const String BANK_NAME = "bank_name";
  static const String BRANCH_NAME = "branch_name";
  static const String BRANCH_CODE = "branch_code";
  static const String IBAN = "iban";
  static const String ACCOUNT_TITLE = "title";

  static const String ID = "id";
  static const String NAME = "name";

  static const String BUSINESS_ID = "business_id";
  static const String BUSINESS_LEGAL_NAME = "business_legal_name";
  static const String LINKED_BANKS = "linked_banks";
  static const String FORM_SUBMITTED = "form_submitted";

  static const String BUSINESS_LOGO = "business_logo";

  static const String PARTNER_NAME = "name";
  static const String PARTNER_CNIC = "cnic";

  static const String OFFICE_PREMISES_ID = "id";
  static const String OFFICE_PREMISES_NAME = "name";

  static const String BANK_ID = "bank_id";
  static const String BANK_LOGO = "bank_logo";
  static const String BANK_SHORT_NAME = "bank_short_name";
  static const String BANK__NAME = "name";

  // Documents keys
  static const String DOCUMENTS = "documents";
  static const String NTN = "ntn";
  static const String BACK_CNIC = "cnic_back";
  static const String FRONT_CNIC = "cnic_front";
  static const String UTILITY_BILL = "utility_bill";
  static const String MAINTENANCE_CERTIFICATE = "maintenance_certificate";
  static const String REGISTRATION_CERTIFICATE = "registration_certificate";
  static const String PROOF_OF_SOURCE_OF_INCOME = "Last 1 month Invoices , Deal Memos, Freelance Contracts, Account Statements (last 6 months), any other payment paperwork, letters from client to prove income as freelancer";
  static const String PARTNERSHIP_DEED = "partnership_deed";
  static const String MANDATE_LETTER = "mandate_letter";
  static const String LAWS_RULES = "laws_rules";
  static const String RESOLUTION_DULY_SIGNED = "resolution_duly_signed";
  static const String AUTHORITY_LETTER = "authority_letter";
  static const String BANK_LETTER = "bank_letter";
  static const String LIST_OF_TRUSTEES = "list_of_trustees";
  // Private/Public Limited Company
  static const String MEMORANDUM_AND_ARTICLES = "memorandum_and_articles";
  static const String INCORPORATION_CERTIFICATE = "incorporation_certificate";
  static const String COMMENCEMENT_CERTIFICATE = "commencement_certificate";
  static const String LIST_OF_DIRECTORS_FORM_A_B = "list_of_directors_form_a_b";
  static const String LIST_OF_DIRECTORS_FORM_29 = "list_of_directors_form_29";
// End
// End
}

class GeneralError {
  static const String MOBILE_EMAIL_NOT_EXIST = "Mobile number or Email address cannot be empty at same time.";
  static const String CHECK_INTERNET_CONNECTION = "Please check internet connection";
  static const String REQUEST_TIMEOUT = "Request timeout";
  static const String BUSINESS_LEGAL_NAME_NOT_EMPTY = "Business Legal name cannot not empty.";
  static const String FILE_SIZE = "File is too large.";
  static const String GENERAL_ERROR = "General Error";
  static const String GATEWAY_ERROR = "Gateway Error";
  static const String UTL_NOT_FOUND = "Url not found";
  static const String UPLOAD_REQUIRED_DOCUMENTS = "Please upload all the required documents: ";
  static const String ACCEPT_TERMS_CONDITION = "Please accept terms and conditions.";
  static const String INVALID_FILE_TYPE = "Invalid file type.";
  static const String SERVICE_UNAVAILABLE = "We are unable to process your request at the moment. Please try again later";
  static const String GATEWAY_TIMEOUT = "Gateway timeout";
}

class GeneralWarning {
  static const String VERSION_UPDATE = "Please update foree's business onBoarding SDK, available version is: ";
}

class Titles {
  static const String WELCOME = "Welcome";
  static const String SIGN_UP = "Sign Up";
  static const String VERIFY_USER = "Verify User";
  static const String CREATE_BUSINESS = "Create Business";
  static const String BUSINESS_DETAILS = "Business Details (1/5)";
  static const String ADDITIONAL_BUSINESS_DETAILS = "Additional Business Details (2/5)";
  static const String PAYMENT_METHOD = "Payment Method (3/5)";
  static const String BUSINESS_LOCATION = "Business Location (4/5)";
  static const String BANK_ACCOUNT = "Bank Account (5/5)";
  static const String BUSINESS_DOCUMENT = "Business Documents";
  static const String ENTER_PASSWORD = "Enter Password";
  static const String CREATE_PASSWORD = "Create Password";
  static const String PREVIEW = "Preview";
  static const String MY_BUSINESSES = "My Businesses";
}

class SubTitle {
  static const String BUSINESS_DETAILS_DESCRIPTION = "Tell us about your business";
  static const String ADDITIONAL_BUSINESS_DETAILS_DESCRIPTION = "Tell us more about your business";
  static const String PAYMENT_METHOD_DESCRIPTION = "";
  static const String BUSINESS_LOCATION_DESCRIPTION = "Enter your business location";
  static const String BANK_ACCOUNT_DESCRIPTION = "Enter your business bank account details";
  static const String BUSINESS_DOCUMENTS_DESCRIPTION = "Provide business documents";
}

class UserDetailKeys {
  static const String BUSINESS_LOGO = "businessLogo";
  static const String BUSINESS_NAME = "businessName"; // Known as doing business as
  static const String MERCHANT_CNIC = "merchantCNIC";
  static const String MERCHANT_EMAIL = "merchantEmail";
  static const String MERCHANT_MOBILE = "merchantMobile";
}

class TextOf {
  static const String USE_MOBILE_NUMBER = "Use mobile number";
  static const String USE_EMAIL_ADDRESS = "Use email address";
  static const String WELCOME_NOTE = "Welcome to Foree Business";
  static const String NOTE = "Please enter your email address or mobile number to continue.";
  static const String OTP = "To verify your account please enter OTP sent to ";
  static const String OTP_MOBILE = "OTP received at above mobile number";
  static const String RESEND_OTP = "Resend OTP";
  static const String FORGOT_PASS = "Forgot Password?";
  static const String TERMS_AND_CONDITIONS = "Terms and Conditions";
  static const String ADD_MORE = "Add More";
}

class DataKey {
  static const String BUSINESS_NAME = "name";
  static const String EMAIL_ADDRESS = "email_address";
  static const String MOBILE_NUMBER = "phone_number";
  static const String BUSINESS_DESCRIPTION = "description";
  static const String REGISTERED_NUMBER = "registered_number";
  static const String REGISTERED_ADDRESS = "registered_address";
  static const String PHYSICAL_ADDRESS = "physical_address";
  static const String WEBSITE_URL = "website_url";
  static const String NTN = "ntn";
  static const String BUSINESS_OWNER_NAME = "business_owner_name";
  static const String BUSINESS_OWNER_CNIC_NUMBER = "business_owner_cnic_number";
  static const String EXPECTED_MONTHLY_TURNOVER = "expected_monthly_turnover";
  static const String AREA = "area";
  static const String BANK_ACCOUNT_DETAILS = "bank_account_details";
  static const String BUSINESS_ADDRESS = "address";
  static const String BRANCH_NAME = "branch_name";
  static const String ACCOUNT_TITLE = "title";
  static const String BRANCH_CODE = "branch_code";
  static const String ACCOUNT_NUMBER = "account_number";
  static const String IBAN = "iban";
}

class HelpText {
  static const String BRAND_SHOP = "Name your customer will see";
  static const String BUSINESS_CATEGORY = "What category does your business fall under";
  static const String BUSINESS_OWNER = "Name of owner, director, partner or trustee";
  static const String NTN = "National Tax Number";
  static const String CARD_PAYMENT_NOTE = "-Debit/Credit card payments ";
  static const String CARD_PAYMENT_NOTE_TIME = "-Debit/Credit card payments ";
  static const String BANKACCOUNT_PAYMENT_NOTE = "-Bank Account payments ";
  static const String BANKACCOUNT_PAYMENT_NOTE_TIME = "-Bank Account payments ";
}

class TextStyling {
  static const double BUSINESSES_BTN_SIZE = 18.0;
  static TextStyle getHeaderStyle() {
    return TextStyle(fontSize: 16.0, fontWeight: FontWeight.w600);
  }
}

class Texts {
  static const REGEX = r'^(?![.%+-])[a-zA-Z0-9._%+-]+[a-zA-Z0-9]+@[a-zA-Z0-9]+[+-]{0,1}[a-zA-Z0-9]+\.[a-zA-Z]+\.{0,1}[a-zA-Z]+$';
}

class DocKeys {
  static const String V2_DOC_BUSINESS_LOGO = "business_logo";
  static const String V2_DOC_CNIC_FRONT = "cnic_front";
  static const String V2_DOC_CNIC_BACK = "cnic_back";
  static const String V2_INCOME_PROOF = "proof_of_income";
  static const String V2_DOC_ACC_MAINTENANCE_CERTIFICATE = "account_maintenance_certificate";
  static const String V2_DOC_PARTNERSHIP_DEED = "partnership_deed";
  static const String V2_DOC_BANK_ACC_MAINTENANCE_CERT = "bank_account_maintenance_certificate";
  static const String V2_DOC_MANDATE_LETTER = "mandate_letter";
  static const String V2_DOC_MEMORANDUM_AND_ARTICLES = "memorandum_and_articles";
  static const String V2_DOC_INCORPORATION_CERTIFICATE = "incorporation_certificate";
  static const String V2_DOC_SIGNING_AUTHORITY_BOARD_RESOLUTION = "signing_authority_board_resolution";
  static const String V2_DOC_COMMENCEMENT_CERTIFICATE = "commencement_certificate";
  static const String V2_DOC_DIRECTORS_LIST_UNDER_COMPANIES_ORDINANCE = "directors_list_under_companies_ordinance";
  static const String V2_DOC_DIRECTORS_BANK_LETTER = "all_directors_bank_letter";
  static const String V2_DOC_ALL_DIRECTORS_FROM_29 = "all_directors_form_29";
  static const String V2_DOC_BY_LAWS_AND_RULES = "by_laws_and_rules";
  static const String V2_DOC_RESOLUTION = "resolution";
  static const String V2_DOC_CONSENT_OR_AUTHORITY_LETTER = "consent_or_authority_letter";
  static const String V2_DOC_REGISTARTION_CERTIFICATE = "registration_certificate";
  static const String V2_DOC_ALL_TRUSTEES_BANK_LETTER = "all_trustees_bank_letter";
  static const String V2_DOC_LIST_OF_TRUSTEES_OR_MEMBERS = "list_of_trustees_or_members";
  static const String V2_DOC_UTILITY_BILL = "utility_bill";
}