import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class User {
  int responseCode;
  UserData responseData;
  String responseMessage;
  User({this.responseCode, this.responseData, this.responseMessage});
  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);
  Map<String, dynamic> toJson() => _$UserToJson(this);
}
User _$UserFromJson(Map<String, dynamic> json) {
  return User(
      responseCode: json["response_code"],
      responseData: (json.containsKey("response_data") ? UserData.fromJson(json["response_data"]["user"]) : null),
      responseMessage: (json.containsKey("response_message") ? json["response_message"] : "")
  );
}
Map<String, dynamic> _$UserToJson(User instance) => <String, dynamic> {
  "response_code": instance.responseCode,
  "response_data": instance.responseData,
  "response_message": instance.responseMessage
};

class UserData {
  List businessIds;
  List<Businesses> businesses;
  bool businessVerificationRequired;
  bool businessLandingScreenRequired;
  String cnic;
  String emailAddress;
  bool isEmailVerified;
  String id;
  bool isPrimary;
  String password;
  String mobileNumber;
  bool isMobileNumberVerified;
  _Role role;
  _Status status;
  String subBusinessReference;
  String userName;
  UserData({this.businessIds, this.businessVerificationRequired, this.cnic,
    this.emailAddress, this.isEmailVerified, this.id, this.isPrimary,
    this.password, this.mobileNumber, this.isMobileNumberVerified, this.role,
    this.status, this.subBusinessReference, this.userName,
    this.businessLandingScreenRequired, this.businesses});
  factory UserData.fromJson(Map<String, dynamic> json) => _$DataFromJson(json);
  Map<String, dynamic> toJson() => _$DataToJson(this);
}
UserData _$DataFromJson(Map<String, dynamic> json) {
  var businessesList = json['businesses'] as List;
  print(businessesList);
  return UserData(
    businessIds: json["business_id"],
    businessVerificationRequired: json["business_verification_required"],
    cnic: json["cnic"],
    emailAddress: json["email_address"],
    isEmailVerified: json["email_address_is_verified"],
    id: json["id"],
    isPrimary: json["is_primary"],
    password: json["password"],
    mobileNumber: json["phone_number"],
    isMobileNumberVerified: json["phone_number_is_verified"],
    role: _Role.fromJson(json["role"]),
    status: _Status.fromJson(json["status"]),
    subBusinessReference: json["sub_business_reference"],
    userName: json["username"],
    businessLandingScreenRequired: json["business_landing_screen_required"],
    businesses: businessesList == null ? List() : businessesList.map((e) => Businesses.fromJson(e)).toList(),
  );
}
Map<String, dynamic> _$DataToJson(UserData instance) => <String, dynamic> {
  "business_id": instance.businessIds,
  "business_verification_required": instance.businessVerificationRequired,
  "cnic": instance.cnic,
  "email_address": instance.emailAddress,
  "email_address_is_verified": instance.isEmailVerified,
  "id": instance.id,
  "is_primary": instance.isPrimary,
  "password": instance.password,
  "phone_number": instance.mobileNumber,
  "phone_number_is_verified": instance.isMobileNumberVerified,
  "role": instance.role,
  "status": instance.status,
  "sub_business_reference": instance.subBusinessReference,
  "userName": instance.userName,
  "business_landing_screen_required": instance.businessLandingScreenRequired,
  "businesses": instance.businesses,
};

class _Role {
  int businessLevel;
  String name;
  int userRoleId;
  _Role({this.businessLevel, this.name, this.userRoleId});
  factory _Role.fromJson(Map<String, dynamic> json) => _$RoleFromJson(json);
  Map<String, dynamic> toJson() => _$RoleToJson(this);
}
_Role _$RoleFromJson(Map<String, dynamic> json) {
  return _Role(
      businessLevel: json["business_level"],
      name: json["name"],
      userRoleId: json["user_role_id"]
  );
}
Map<String, dynamic> _$RoleToJson(_Role instance) => <String, dynamic> {
  "business_level": instance.businessLevel,
  "name": instance.name,
  "user_role_id": instance.userRoleId
};

class _Status {
  String name;
  int userStatusId;
  _Status({this.name, this.userStatusId});
  factory _Status.fromJson(Map<String, dynamic> json) => _$StatusFromJson(json);
  Map<String, dynamic> toJson() => _$StatusToJson(this);
}
_Status _$StatusFromJson(Map<String, dynamic> json) {
  return _Status(
      name: json["name"],
      userStatusId: json["user_status_id"]
  );
}
Map<String, dynamic> _$StatusToJson(_Status instance) => <String, dynamic> {
  "name": instance.name,
  "user_status_id": instance.userStatusId
};

/////

class Businesses {
  String businessName, businessId;
  _BusinessStatus status;

  Businesses({this.businessId, this.businessName, this.status});
  factory Businesses.fromJson(Map<String, dynamic> json) => _$BusinessesFromJson(json);
  Map<String, dynamic> toJson() => _$BusinessesToJson(this);
}
Businesses _$BusinessesFromJson(Map<String, dynamic> json) {
  return Businesses(
    businessId: json['id'],
    businessName: json['name'],
    status: _BusinessStatus.fromJson(json['business_state']),
  );
}
Map<String, dynamic> _$BusinessesToJson(Businesses instance) => <String, dynamic> {
  "name": instance.businessName,
  "user_status_id": instance.businessId,
  "business_status": instance.status,
};

class _BusinessStatus {
  String businessStatus;
  int id;

  _BusinessStatus({this.id, this.businessStatus});
  factory _BusinessStatus.fromJson(Map<String, dynamic> json) => _$BusinessStatusFromJson(json);
  Map<String, dynamic> toJson() => _$BusinessStatusToJson(this);
}
_BusinessStatus _$BusinessStatusFromJson(Map<String, dynamic> json) {
  return _BusinessStatus(
    businessStatus: json['name'],
    id: json['id'],
  );
}
Map<String, dynamic> _$BusinessStatusToJson(_BusinessStatus instance) => <String, dynamic> {
  "name": instance.businessStatus,
  "id": instance.id,
};



