import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../Constants.dart';
import 'Utils.dart';

class PreviewImage extends StatefulWidget {
  final file;
  final isPreviewAgain;
  PreviewImage({Key key, this.file, this.isPreviewAgain}) : super(key: key);
  @override
  _PreviewImageState createState() => _PreviewImageState();
}

class _PreviewImageState extends State<PreviewImage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(Titles.PREVIEW),
        actions: [
          Container(
              width: Layout.dp100,
              height: Layout.dp50,
              padding: PaddingDetails.LOGO_PADDING,
              child: new Image.network(AssetsPath.FOREE_LOGO)
          )
        ],
      ),
      body: Stack(
        children: [
          Align(
            alignment: Alignment.center,
            //child: Image.file(widget.file),
            child: widget.file.path.endsWith(".pdf") ? Icon(Icons.picture_as_pdf, size: 100.0) : Image.file(widget.file),
          ),
          Align(
            alignment: Alignment.bottomCenter,
            child: Container(
              height: (MediaQuery.of(context).size.height / 4),
              decoration: BoxDecoration(
                color: Colors.black.withOpacity(0.4),
              ),
              child: Padding(
                padding: PaddingDetails.PREVIEW_BTN,
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    GestureDetector(
                      onTap: () { Navigator.pop(context, !widget.isPreviewAgain); },
                      child: (widget.isPreviewAgain ? Utils.getDeleteIcon() : Utils.getAcceptIcon()),
                    ),
                    GestureDetector(
                      onTap: () { Navigator.pop(context); },
                      child: Utils.getCancelIcon(),
                    ),
                  ],
                ),
              ),
            ),
          )
        ],
      )
    );
  }
}